.c-company-presentation {
  $pf: &;

  margin: 4rem 0;
  text-align: center;

  &__header {
    margin: 0 auto;
    width: 100%;
    padding: 0 2rem;

    @include sm {
      width: 80%;
    }

    @include md {
      width: 60%;
    }

    @include lg {
      width: 40%;
    }
  
    h2 {
      color: $blue;
      margin-bottom: 1rem;
    }
  
    p {
      font-weight: 400;
      font-size: 1.4rem;
      text-align: center;
      color: $black;
    }
  }

  &__companys {
    padding: 4rem 2rem;
    display: flex;
    flex-wrap: wrap;

    @include sm {
      padding: 4rem;
    }

    &__item {
      width: calc((100% / 3) - 1rem);
      height: 8rem;
      margin: .5rem;
      display: flex;
      justify-content: center;
      align-items: center;
      border: 1px solid #E6E6E6;
      transition: all .5s ease;
      border-radius: 5px;
      padding: 2.1rem;
      position: relative;

      @include sm {
        width: calc((100% / 5) - 1rem);
        height: 9rem;
      }

      @include md {
        width: calc((100% / 6) - 1rem);
        height: 10rem;
      }

      @include lg {
        width: calc((100% / 8) - 1rem);
        height: 11.5rem;
      }

      &:hover {
        border: 1px solid $blue;
        box-shadow: 0px 5px 10px rgba(0, 0, 0, 0.1);
        cursor: grab;
      }

      img {
        max-width: 100%;
        height: 100%;
        object-fit: scale-down;
      }
    }
  }

  &__overlay {
    position: fixed;
    right: 0;
    left: 0;
    top: 0;
    bottom: 0;
    display: flex;
    justify-content: flex-end;
    z-index: 100;

    &::before {
      position: absolute;
      content: '';
      display: block;
      width: 100%;
      height: 100vh;
      background-color: $blue;
      opacity: 0;
      transition: opacity .5s ease-in-out;
    }

    &__content {
      position: relative;
      width: 100%;
      height: 100%;
      background-color: $white;
      display: block;
      z-index: 1;
      display: flex;
      flex-direction: column;
      justify-content: flex-start;
      padding: 5rem 3rem;
      box-shadow: -3rem 0 5rem rgba(0, 0, 0, 0.1);
      border-radius: 0;
      overflow-y: auto;
      transform: translateX(100%);
      transition: transform .5s ease-in-out;

      @include sm {
        padding: 5rem;
        width: 75%;
        border-radius: 3rem 0 0 3rem;
      }

      &__visual {
        display: flex;
        align-items: center;
        justify-content: center;
        height: 15rem;
        max-height: 15rem;
        width: 100%;
        border: 1px solid #E6E6E6;
        border-radius: .5rem;
        margin-bottom: 1rem;
        margin: 0 0 1rem 0;
        flex: 1 0 auto;

        @include xs {
          height: 20rem;
          max-height: 20rem;
          max-width: 30rem;
          margin: 0 auto 1rem auto;
        }

        @include sm {
          max-width: 100%;
          height: 27.7rem;
          max-height: 27.7rem;
          margin: 0 0 1rem 0;
        }

        img {
          max-height: 100%;
          height: auto;
          width: auto;
          max-width: 100%;

          @include sm {
            max-width: 24rem;
            max-height: 24rem;
          }
        }
      }

      &__text {
        margin: 1rem 0;
        text-align: left;
        display: flex;
        flex-direction: column;
        gap: 2rem 0;

        &__title {
          color: $blue;
          font-family: $font-light, sans-serif;
          font-weight: 400;
          font-size: 2rem;
          line-height: 2.6rem;

          @include sm {
            font-weight: 300;
            font-size: 2.2rem;
            line-height: 2.8rem;
          }

          @include md {
            padding-bottom: 2rem;
            font-size: 3.2rem;
            line-height: 4.3rem;
          }
        }

        p {
          font-weight: 400;
          font-size: 1.4rem;
          margin: 1rem 0;
        }
      }

      @include sm {
        width: 60%;
      }

      @include lg {
        width: 40%;
      }
    }

    &__close {
      z-index: 9;
      position: absolute;
      right: -10%;
      top: 1rem;
      width: 5rem;
      height: 5rem;
      background-color: $white;
      border-radius: 50%;
      box-shadow: 0px 1rem 3rem rgba(0, 0, 0, 0.1);
      background: $white url('@/assets/images/close.svg') center center no-repeat;
      background-size: 1.5rem 1.5rem;
      transition: right .6s ease-in-out;
      &:hover {
        cursor: pointer;
      }

      @include sm {
        height: 10rem;
        width: 10rem;
        left: auto;
        right: -10%;
        top: 50%;
        transform: translate(-50%);
        background-size: 2rem 2rem;
        box-shadow: 0px 1rem 3rem rgba(0, 0, 0, 0.05);
      }
    }

    &--active {
      &::before {
        opacity: 0.5;
      }

      #{$pf}__overlay__content {
        transform: translateX(0);
      }

      #{$pf}__overlay__close {
        right: calc(100% - 6rem);
        
        @include sm {
          right: 60%;
        }

        @include lg {
          right: 40%
        }
      }
    }
  }
}